Groovy Documentation

## org.codehaus.groovy.antlr
[Java] Class ASTRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.antlr.ASTRuntimeException

    public class ASTRuntimeException
    extends java.lang.RuntimeException

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`ASTRuntimeException(antlr.collections.AST ast, java.lang.String message)`
`ASTRuntimeException(antlr.collections.AST ast, java.lang.String message, java.lang.Throwable throwable)`

Method Summary
`protected static java.lang.String` | `description(antlr.collections.AST node)`
`antlr.collections.AST` | `getAst()`
`int` | `getColumn()`
`int` | `getLine()`

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception

java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Constructor Detail

### ASTRuntimeException

    public ASTRuntimeException(antlr.collections.AST ast, java.lang.String message)

### ASTRuntimeException

    public ASTRuntimeException(antlr.collections.AST ast, java.lang.String message, java.lang.Throwable throwable)

Method Detail

### description

    protected static java.lang.String description(antlr.collections.AST node)

### getAst

    public antlr.collections.AST getAst()

### getColumn

    public int getColumn()

### getLine

    public int getLine()

Groovy Documentation